commit:     2b81298956559efbc10793557d4bbef25cd07088
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Thu May  4 15:14:59 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Thu May  4 15:15:27 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b812989

media-sound/spotify: bup for bug 617150

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 media-sound/spotify/Manifest              |   2 +
 media-sound/spotify/spotify-1.0.53.ebuild | 117 ++++++++++++++++++++++++++++++
 2 files changed, 119 insertions(+)

diff --git a/media-sound/spotify/Manifest b/media-sound/spotify/Manifest
index 9cb68cc2fbd..126db5dad4c 100644
--- a/media-sound/spotify/Manifest
+++ b/media-sound/spotify/Manifest
@@ -1,2 +1,4 @@
 DIST spotify-client_1.0.49.125.g72ee7853-111_amd64.deb 73404932 SHA256 
1d6d1cccfb7f996b835f21c8dbabc16ca4bd214878e06738dba7886640470050 SHA512 
f6152f71fae3827e1f9dfb07cbe30319f090db151702ca02f3566f3deeec369da0c70f9995a548e0df92d655b593de520ab387a011201317753d3def70741e24
 WHIRLPOOL 
b5111509c902068bd2559267bfd2febfab8b4464d73e54a302d23807338e796045901fe14b9c229e6a412553f7cfe84e903ddfc4c4c3e9a60609b23a7ecf2c3c
 DIST spotify-client_1.0.49.125.g72ee7853-22_i386.deb 74637938 SHA256 
96c02fdc77991feb0797089d701744c2de4584322f966a1c070b559df27f9b04 SHA512 
4a8aab47b6b0c2ac9b349c858e4728451e713c466bcff9c1eac9c6215259ad9325a51b0fc8bd2afcfa141a6ad518f97d408b5d779a126f2ac62c9e8be93f5f93
 WHIRLPOOL 
9bd02e73731cc4d2e55c43b08d1bea1d3fcfecb13ebdf8fe591aa5be6961423e3463a2fd625745561ebb7f33c902246a84f406bcc1dd3f7f47ffad6b98daa451
+DIST spotify-client_1.0.53.758.gde3fc4b2-33_amd64.deb 87698642 SHA256 
6fac209d35828bc9a8bc5449320b92310462a2f78201e3ea620e743fc45e06ea SHA512 
2dd355b78dac8ab9884a477cbcc19c1d0eb12267ccf844661dccc07056ba6b4cda06773e67c19b3edbdaf4a9f18666512b746e9c1d530f659969ddd7c59eb297
 WHIRLPOOL 
b71f9c98a431543aae6843abe8cb21828bcff8b67a64d672aec0a7294cc975d4045a173deb7302e48411d81c32591f2370d53df33df48b23f26c6a94ad35b57e
+DIST spotify-client_1.0.53.758.gde3fc4b2-34_i386.deb 88983470 SHA256 
1c559e776481ae8b03d966bd931f788030d41ad9cd751c43fe99616494a7d84a SHA512 
33d39e16a6a8dec1326232e0fcf392e471c7eb32a2e86c4a655c5ec3b5499f85a1b59ddeb5b7fe8cca57f8468c82bf553305312894c2b843e0d069177636e3dd
 WHIRLPOOL 
8323a1caa5d889318d3ec6455fa48e5885118d120d7495ac425171f56dd0626b5d6518c8308e626d29720984f098ab7cfced2958829f9917c38096eaffd18d9f

diff --git a/media-sound/spotify/spotify-1.0.53.ebuild 
b/media-sound/spotify/spotify-1.0.53.ebuild
new file mode 100644
index 00000000000..568a39f54d7
--- /dev/null
+++ b/media-sound/spotify/spotify-1.0.53.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils fdo-mime gnome2-utils pax-utils unpacker
+
+DESCRIPTION="Spotify is a social music platform"
+HOMEPAGE="https://www.spotify.com/ch-de/download/previews/";
+BUILD_ID="758.gde3fc4b2"
+SRC_BASE="http://repository.spotify.com/pool/non-free/${PN:0:1}/${PN}-client/";
+SRC_URI="amd64? ( ${SRC_BASE}${PN}-client_${PV}.${BUILD_ID}-33_amd64.deb )
+       x86? ( ${SRC_BASE}${PN}-client_${PV}.${BUILD_ID}-34_i386.deb )"
+LICENSE="Spotify"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gnome pax_kernel pulseaudio"
+RESTRICT="mirror strip"
+
+DEPEND=""
+# zenety needed for filepicker
+RDEPEND="
+       ${DEPEND}
+       dev-libs/nss
+       gnome-base/gconf
+       gnome-extra/zenity
+       media-libs/alsa-lib
+       media-libs/harfbuzz
+       media-libs/fontconfig
+       media-libs/mesa
+       net-misc/curl[ssl,curl_ssl_openssl]
+       net-print/cups[ssl]
+       x11-libs/gtk+:2
+       x11-libs/libXScrnSaver
+       x11-libs/libXtst
+       dev-python/pygobject:3
+       dev-python/dbus-python
+       pulseaudio? ( media-sound/pulseaudio )
+       gnome? ( gnome-extra/gnome-integration-spotify )"
+       #sys-libs/glibc
+
+S=${WORKDIR}/
+
+QA_PREBUILT="opt/spotify/spotify-client/spotify"
+
+src_prepare() {
+       # Fix desktop entry to launch spotify-dbus.py for GNOME integration
+       if use gnome ; then
+               sed -i \
+                       -e 's/spotify \%U/spotify-dbus.py \%U/g' \
+                       usr/share/spotify/spotify.desktop || die "sed failed"
+       fi
+       default
+}
+
+src_install() {
+       dodoc usr/share/doc/spotify-client/changelog.gz
+
+       SPOTIFY_PKG_HOME=usr/share/spotify
+       insinto /usr/share/pixmaps
+       doins ${SPOTIFY_PKG_HOME}/icons/*.png
+
+       # install in /opt/spotify
+       SPOTIFY_HOME=/opt/spotify/spotify-client
+       insinto ${SPOTIFY_HOME}
+       doins -r ${SPOTIFY_PKG_HOME}/*
+       fperms +x ${SPOTIFY_HOME}/spotify
+
+       dodir /usr/bin
+       cat <<-EOF >"${D}"/usr/bin/spotify || die
+               #! /bin/sh
+               exec ${SPOTIFY_HOME}/spotify "\$@"
+       EOF
+       fperms +x /usr/bin/spotify
+
+       local size
+       for size in 16 22 24 32 48 64 128 256 512; do
+               newicon -s ${size} 
"${S}${SPOTIFY_PKG_HOME}/icons/spotify-linux-${size}.png" \
+                       "spotify-client.png"
+       done
+       domenu "${S}${SPOTIFY_PKG_HOME}/spotify.desktop"
+       if use pax_kernel; then
+               #create the headers, reset them to default, then paxmark -m them
+               pax-mark C "${ED}${SPOTIFY_HOME}/${PN}" || die
+               pax-mark z "${ED}${SPOTIFY_HOME}/${PN}" || die
+               pax-mark m "${ED}${SPOTIFY_HOME}/${PN}" || die
+               eqawarn "You have set USE=pax_kernel meaning that you intend to 
run"
+               eqawarn "${PN} under a PaX enabled kernel.  To do so, we must 
modify"
+               eqawarn "the ${PN} binary itself and this *may* lead to 
breakage!  If"
+               eqawarn "you suspect that ${PN} is being broken by this 
modification,"
+               eqawarn "please open a bug."
+       fi
+}
+
+pkg_preinst() {
+       gnome2_icon_savelist
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+       fdo-mime_mime_database_update
+       fdo-mime_desktop_database_update
+
+       ewarn "If Spotify crashes after an upgrade its cache may be corrupt."
+       ewarn "To remove the cache:"
+       ewarn "rm -rf ~/.cache/spotify"
+       ewarn
+       ewarn "If you use KDE and are upgrading from 0.9 to 1.0, you might 
still see the old icon."
+       ewarn "Run"
+       ewarn "$ rm /var/tmp/kdecache-\$USER/icon-cache.kcache"
+       ewarn "Then log out and log in back to KDE."
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+       fdo-mime_mime_database_update
+       fdo-mime_desktop_database_update
+}

Reply via email to